Subject: bug#77171: 31.0.50; Some lines in etc/HELLO display with large height on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Mar 2025 10:21:24 +0300

> Date: Thu, 27 Mar 2025 22:30:48 +0100
> From: Cecilio Pardo <[email-masked]>
> 
> On 22/03/2025 15:12, Cecilio Pardo wrote:
> > On 22/03/2025 11:36, Eli Zaretskii wrote:
> >> Cecilio, could you please look into this?  I'm guessing that the code
> >> we now use to return the metrics of character glyphs somehow returns
> >> different results from what was used before, in this particular
> >> aspect.
> 
> Just reporting status.
> 
> The problematic font here is "Sans serif collection", which gives very 
> big ascent and descent values for glyphs. Not even Windows own tools, 
> such as charmap or the font selection dialog, render this font correctly.
> 
> Emacs' code without directwrite directly inspects the glyph outlines to 
> get metrics. I'm looking for a way to do the same with directwrite, or 
> find another solution.

Thanks for working on this.  Sans serif collection is an important
font collection on Windows, since it supports a lot of scripts.  So it
would be good for Emacs to support it in a reasonably good fashion.